OBTENER /groups/{groupId}/apps/{appId}/endpoints

Get all endpoint configurations.

Parámetros de path

Respuestas

  • 200 aplicación/json

    Vale

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • route string Requerido
    • http_method string Requerido

      Los valores son GET, POST, PUT, PATCH, DELETE o *.

    • function_id string Requerido

      El ID único de la función endpoint.

    • método de validación string Requerido

      Los valores son NO_VALIDATION, SECRET_AS_QUERY_PARAM o VERIFY_PAYLOAD.

    • id_secreto string

      Si validation_method está establecido en "SECRET_AS_QUERY_PARAM" o "VERIFY_PAYLOAD", este es el _id del Secreto que autoriza las solicitudes.

    • return_type string Requerido

      A data format supported by the Data API & custom endpoints.

      Los valores son JSON o EJSON.

    • respond_result booleano Requerido
    • obtener datos de usuario personalizados booleano
    • create_user_on_auth booleano
    • inhabilitado booleano Requerido
    • _id string

      The endpoint's unique ID.

    • nombre_de_función string
GET /groups/{groupId}/apps/{appId}/endpoints
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/endpoints' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
[
  {
    "route": "string",
    "http_method": "GET",
    "function_id": "string",
    "validation_method": "NO_VALIDATION",
    "secret_id": "string",
    "return_type": "JSON",
    "respond_result": true,
    "fetch_custom_user_data": true,
    "create_user_on_auth": true,
    "disabled": true,
    "_id": "string",
    "function_name": "string"
  }
]